<sqtm-core-customisable-dialog
  [titleKey]="configuration.titleKey"
  [dialogId]="configuration.id"
>
  <sqtm-core-dialog-body>
    <div class="flex-row body-content m-t-5">
      <div class="icon-part full-height flex-fixed-size">
        @switch (configuration.level) {
          @case ('INFO') {
            <i
              nz-icon
              class="sqtm-core-icon"
              nzType="info-circle"
              nzTheme="twotone"
              [nzTwotoneColor]="'#1890FF'"
            ></i>
          }
          @case ('DANGER') {
            <i
              nz-icon
              class="sqtm-core-icon"
              nzType="exclamation-circle"
              nzTheme="twotone"
              [nzTwotoneColor]="'#FF0000'"
            ></i>
          }
          @case ('WARNING') {
            <i
              nz-icon
              class="sqtm-core-icon"
              nzType="exclamation-circle"
              nzTheme="twotone"
              [nzTwotoneColor]="'#FAAD14'"
            ></i>
          }
        }
      </div>
      @if (!configuration.simulationReportMessages) {
        <span
          [attr.data-test-dialog-message]="true"
          [innerHTML]="configuration.messageKey | translate"
        ></span>
      } @else {
        <div>
          <div
            [attr.data-test-dialog-message]="true"
            [innerHTML]="configuration.messageKey | translate"
          ></div>
          <div [attr.data-test-element-id]="'deletion-warnings'" class="m-t-10">
            <ul>
              @for (
                message of configuration.simulationReportMessages;
                track message
              ) {
                <li [innerHTML]="message"></li>
              }
            </ul>
          </div>
          @if (configuration.suffixMessageKey) {
            <div
              [attr.data-test-dialog-message-suffix]="true"
              [innerHTML]="configuration.suffixMessageKey | translate"
            ></div>
          }
          @if (configuration.showRemoveFromIterCheckbox) {
            <span
              nz-checkbox
              (nzCheckedChange)="changeRemoveFromIter($event)"
              [nzValue]="removeFromIter"
              ngDefaultControl
            >
              {{
                'sqtm-core.campaign-workspace.dialog.message.remove-from-iteration'
                  | translate
              }}
            </span>
          }
        </div>
      }
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'confirm'"
      class="flex-fixed-size sqtm-core-delete-button danger-icon"
      nz-button
      nzType="primary"
      (click)="confirmDeletion()"
    >
      {{ 'sqtm-core.generic.label.delete' | translate }}
    </button>
    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
